Skip to Content
API ReferenceVideo GenerationVidu V2 Template Scene Video

Vidu V2(生成场景视频)

POST /vidu/ent/v2/template2video

基于官方模板(template)和图片生成场景视频。Vidu 官方文档:Template  官网:https://www.vidu.studio/ 

Base URL

  • https://api.novapai.ai/router/v1

认证

  • Header: Authorization: Bearer <YOUR_API_KEY>
  • Header: Content-Type: application/json

请求体参数

  • template (string, required): 模板标识(模板列表见官方文档)
  • images (string[], required): 模板所需图片
  • prompt (string, required): 视频内容提示
  • seed (string, required): 随机种子

请求示例

curl -X POST "https://api.novapai.ai/router/v1/vidu/ent/v2/template2video" \ -H "Authorization: Bearer <YOUR_API_KEY>" \ -H "Content-Type: application/json" \ -d '{ "template": "hugging", "images": ["https://example.com/hug.jpeg"], "prompt": "Two people turn to each other and start hugging.", "seed": "0" }'

响应示例

{ "task_id": "916205061116293120", "state": "created", "template": "hugging", "resolution": "720p", "duration": 4 }

说明